[AT32F403/403A]

关于Keil5 安装雅特力Pack支持包安装问题

[复制链接]
180|6
手机看帖
扫描二维码
随时随地手机跟帖
未蓝澄海烟|  楼主 | 2023-1-9 10:35 | 显示全部楼层 |阅读模式
QQ截图20230109101751.jpg AT32F403ACGT7安装的图片上那个支持包编译就报错,报错内容已在截图上.不知道为什么会这样?源码使用的开源项目 X-Track,源码程序下载后没有改动编译都会报错.
安装AIR32F103跟STM32H743跟STM32F103的支持包编译基础程序源码都没有问题.偏偏AT32F403A的支持包编译AT32的程序源码就不行.

电脑配置.jpg
电脑配置参数详情.
QQ截图20230109103257.jpg
希望雅特力AT32有关人员解答一下.或者出个AT32支持包的安装流程步骤

使用特权

评论回复
未蓝澄海烟|  楼主 | 2023-1-9 10:38 | 显示全部楼层
QQ截图20230109103736.jpg

使用特权

评论回复
未蓝澄海烟|  楼主 | 2023-1-9 10:39 | 显示全部楼层
QQ截图20230109103838.jpg

使用特权

评论回复
muyichuan2012| | 2023-1-9 10:52 | 显示全部楼层
你使用的X-TRACK包是就是V1版的,可以下载V2版的X-TRACK包
https://github.com/FASTSHIFT/X-TRACK/tree/main/Software
如下是X-TRACK的说明
7355763bb814190707.png

使用特权

评论回复
未蓝澄海烟|  楼主 | 2023-1-9 19:30 | 显示全部楼层
muyichuan2012 发表于 2023-1-9 10:52
你使用的X-TRACK包是就是V1版的,可以下载V2版的X-TRACK包
https://github.com/FASTSHIFT/X-TRACK/tree/mai ...

依旧是这样编译就报错,之前尝试过降低Keil版本到5.14源码没有改动也会报错.pack包是在雅特力官网里面下载的. 123.jpg

使用特权

评论回复
未蓝澄海烟|  楼主 | 2023-1-9 19:40 | 显示全部楼层
muyichuan2012 发表于 2023-1-9 10:52
你使用的X-TRACK包是就是V1版的,可以下载V2版的X-TRACK包
https://github.com/FASTSHIFT/X-TRACK/tree/mai ...

感谢回复,我到X-Track项目作者哪里重新下载源码后编译可以通过.

使用特权

评论回复
商周| | 2023-1-10 09:16 | 显示全部楼层
学习一下

使用特权

评论回复
发新帖 我要提问
您需要登录后才可以回帖 登录 | 注册

本版积分规则